SeExpr

Public Member Functions | Static Public Member Functions | Private Types | Private Attributes | List of all members
SeExpr2::ExprStrSpec Class Reference

`#include <ControlSpec.h>`

Inheritance diagram for SeExpr2::ExprStrSpec:

## Public Member Functions
| ExprStrSpec (const ExprStrNode &node, char *name, Type type)
| Takes name and type comments and takes ownership of them! More...
virtual std::string | toString () const
| Generates a replacement string based on changes to the spec. More...
Public Member Functions inherited from SeExpr2::ControlSpec
| ControlSpec (const ExprNode &node)
virtual | ~ControlSpec ()

## Static Public Member Functions
static const ExprStrSpec * | match (const ExprNode *node)

## Private Types
enum | Type { STRING, FILE, DIRECTORY }

## Private Attributes
std::string | _str
Type | _type

## Additional Inherited Members
Protected Attributes inherited from SeExpr2::ControlSpec
std::string | _name
| Name of control. More...
int | _start
| Start position of text in original source. More...
int | _end
| End position of text in original source. More...

## Detailed Description

Definition at line 102 of file ControlSpec.h.

## Member Enumeration Documentation

## ◆ Type

enum SeExpr2::ExprStrSpec::Type
| private

Enumerator
STRING |
FILE |
DIRECTORY |

Definition at line 103 of file ControlSpec.h.

## Constructor & Destructor Documentation

## ◆ ExprStrSpec()

SeExpr2::ExprStrSpec::ExprStrSpec | ( | const ExprStrNode & | node,
|  | char * | name,
|  | Type | type
| ) |  |
| inline

Takes name and type comments and takes ownership of them!

Definition at line 111 of file ControlSpec.h.

References SeExpr2::ControlSpec::_name.

Referenced by match().

## Member Function Documentation

## ◆ match()

const ExprStrSpec * SeExpr2::ExprStrSpec::match | ( | const ExprNode * | node | ) |
| static

Definition at line 253 of file ControlSpec.cpp.

References DIRECTORY, ExprStrSpec(), FILE, SeExpr2::findComment(), SeExpr2::isString(), and STRING.

Referenced by SeExpr2::SpecExaminer::examine().

## ◆ toString()

std::string SeExpr2::ExprStrSpec::toString | ( |  | ) | const
| virtual

Generates a replacement string based on changes to the spec.

Implements SeExpr2::ControlSpec.

Definition at line 233 of file ControlSpec.cpp.

References SeExpr2::ControlSpec::_name, _str, _type, DIRECTORY, FILE, and STRING.

## Member Data Documentation

## ◆ _str

std::string SeExpr2::ExprStrSpec::_str
| private

Definition at line 119 of file ControlSpec.h.

Referenced by toString().

## ◆ _type

Type SeExpr2::ExprStrSpec::_type
| private

Definition at line 120 of file ControlSpec.h.

Referenced by toString().

The documentation for this class was generated from the following files:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ControlSpec.h
- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ControlSpec.cpp